# Linux compressor humanizer

## Installation

###### install
```
sudo ./bin/install.sh
```

###### Uninstall
```
sudo ./bin/uninstall.sh
```

## Usage

###### Compress
```
$ lch file.zip file1 [file2...] 
```

###### Decompress
```
$ lch file.zip 
```

###### Options
```
$ lch -h                       - Show help
$ lch -v                       - Print version
$ lch -c                       - Check compression systems
$ lch -i                       - Install the compressors dependencies
```

## Supported extensions

###### Packing/unpacking:
- 7z
- bz2
- gz
- rar
- tar
- tar.bz2, tbz, tbz2, tb2
- tar.gz, tgz
- tar.xz, txz
- zip

###### Unpacking only:
- arj
- cab
- dmg
- iso
- lzh
- lzma
- rpm
- squashfs
- vdi
- vhd
- vmdk
- win
- xar
- z

## Testing with docker
```
$ git clone https://gitea.hatthieves.es/cloud/lch
$ cd lch && docker run -it --rm --name lch --workdir /lch -v $(pwd):/lch putyourdistributionhere ./lch -h
```